# driveItems.uploadImage

Upload an image used inside a document.

`POST /api/v1/drive-items/{itemId}/images`

This operation uploads a file, so it is available over REST only — file inputs aren't representable as [CLI](/cli) flags or [MCP](/mcp) tool arguments.

## Input

| Field | Type | In | Description |
| --- | --- | --- | --- |
| `itemId` | `string` | path |  |
| `filename` | `string` | body |  |
| `image` | `file` | body |  |

## Output

| Field | Type | Description |
| --- | --- | --- |
| `url` | `string` |  |
| `name` | `string` |  |

## Examples

### curl

```bash
curl -X POST "https://app.thinkbench.com/api/v1/drive-items/<itemId>/images" \
  -H "x-api-key: $THINKBENCH_API_KEY" \
  -F "filename=<filename>" \
  -F "image=@./photo.png"
```

### TypeScript SDK

```ts
const result = await tb.driveItems.uploadImage({ itemId: "<itemId>", filename: "<filename>", image: "<image>" });
```
